/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/BLOPTION.CPP   1.2.1.5   17 Apr 1997 15:41:56   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/BLOPTION.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:41:56   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:16:00   ZJRD
** No change.
** 
**    Rev 1.2.1.3   10 Apr 1997 15:27:54   ZJRD
** 2.09F
** 
**    Rev 1.2.1.1   03 Apr 1997 15:09:36   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:14:34   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:25:52   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:44:38   ZJRD
** Initial revision.
** 
**    Rev 1.4.1.0.1.2   09 Dec 1996 10:15:18   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.4.1.0.1.0   11 Nov 1996 12:58:34   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.4.1.4   09 Sep 1996 13:16:06   ZJRD
** No change.
** 
**    Rev 1.4.1.3   05 Sep 1996 11:27:40   ZJRD
** No change.
** 
**    Rev 1.4.1.2   02 Sep 1996 09:54:46   ZJRD
** No change.
** 
**    Rev 1.4.1.1   28 Aug 1996 15:48:58   ZJRD
** EasyPack/SLD Version 1.9b
** 
**    Rev 1.4.1.0   12 Aug 1996 10:53:16   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.1   29 May 1996 09:36:40   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// bloption.cpp
//
//Michael Long
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "bl.h"
#include "bloption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// BLOption dialog


BLOption::BLOption(BLTool * pTool)
    : CPropertyPage(BLOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;               
    
    LoadData();
    
    //{{AFX_DATA_INIT(BLOption)

	//}}AFX_DATA_INIT
}

void BLOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(BLOption)
    DDX_Check(pDX, IDD_BLOPT_CHECK4, m_fX);
    DDX_Check(pDX, IDD_BLOPT_CHECK3, m_fZ);
    DDX_Check(pDX, IDD_BLOPT_CHECK5, m_fW);
    DDX_Text(pDX, IDD_BLOPT_EDIT, m_strMore);
    DDX_Text(pDX, IDC_BLOPT_PATH_EDIT, m_strPath);
	DDX_Text(pDX, IDC_BLOPT_CPU_EDIT, m_strCpu);
	//}}AFX_DATA_MAP
}

void BLOption::SaveData(void)
{
//  UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strMore.TrimLeft();
    m_strMore.TrimRight();
    m_strCpu.TrimLeft();
    m_strCpu.TrimRight();

    m_pTool->m_fZ           = m_fZ;
    m_pTool->m_fX           = m_fX;
    m_pTool->m_fW           = m_fW;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath; 
    m_pTool->m_strCpu      = m_strCpu;
}

void BLOption::LoadData(void)
{
    m_fZ           = m_pTool->m_fZ;
    m_fX           = m_pTool->m_fX;
    m_fW           = m_pTool->m_fW;
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;  
    m_strCpu      = m_pTool->m_strCpu;
}

BEGIN_MESSAGE_MAP(BLOption, CPropertyPage)
    //{{AFX_MSG_MAP(BLOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// BLOption message handlers
